Uploaded image for project: 'OpenOLAT'
  1. OpenOLAT
  2. OO-4816

Update third party libraries

    XMLWordPrintable

Details

    • Task
    • Status: Closed
    • Major
    • Resolution: Fixed
    • None
    • 15.2
    • Framework
    • None

    Description

      Update java libraries:

      • Remove completely dom4j:dom4j 1.x (we use 2.x)
      • Spring framework to last version (✓)
      • Bouncycastle to version 1.66 (✓)
      • Active MQ to version 5.16.0 (✓)
      • Infinispan to last version 11.0.3 (✓)
      • Hibernate to last version 5.4.20 (✓)
      • Swagger UI to version 3.31.0 (✓)
      • Nu parset to version 1.4.16 (✓)
      • Java HTML Sanitizer to version 20200713.1 (✓)
      • Jackson to last version (✓)
      • commons-text to 1.9 (✓)
      • commons-validator to 1.7 (✓)

      Attachments

        Activity

          People

            srosse Stéphane Rossé
            srosse Stéphane Rossé
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: